/*************************************************************************
 * Copyright (c) 1999 - 2000 Borst Automation, Fachingen
 * All rights reserved
 *
 * Filename:  TestDll.c
 * Project:   HART
 * Date:      Aug-24-99
 * Author(s): W. Borst
 *
 * Revision:
 * Date:      Name:       Version:  Description:
 * Aug-24-99  W. Borst    -----     Initial Draft
 * Jul-29-00  W. Borst    100000    Changes for Project li001/00
 *
 * Description: Used to generate a DLL for testing of the other parts.
 *
 *************************************************************************/

/**********************************************************************
 * The Standard Include                                               *
 **********************************************************************/
#define __TESTDLL_H__
#include "..\HartTest\TestDll.h"

static BOOL bInitDone = FALSE;

T_DllExport VOID StartHartSimulation(VOID)
{
  if (!bInitDone)
  { PcComPrtInitialize();
  }
  //Initialize Function Blocks
  FbInit();
  // Initialize Hart Driver
  hrtInit();
  // hrtInit() opens the Com Port and starts
  // the communication thread
}

T_DllExport VOID RunHartCommandInterpreter(VOID)
{
  hrtSrvInterpreter();
}

T_DllExport VOID EndHartSimulation(VOID)
{
  M_HRT_TERMINATE;
}


